Index: /code/branches/Presentation_HS16/data/gui/layouts/CampaignMenu.layout
===================================================================
--- /code/branches/Presentation_HS16/data/gui/layouts/CampaignMenu.layout	(revision 11340)
+++ /code/branches/Presentation_HS16/data/gui/layouts/CampaignMenu.layout	(revision 11341)
@@ -8,81 +8,161 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission1Button" >
+
+        <!-- Misson 1************************************* -->
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission1Text" >
             <Property Name="Text" Value="Mission One" />
             <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.1,0},{0.65,0},{0.15,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.6,0},{0.3,0},{0.65,0}}" />
             <Event Name="Clicked" Function="CampaignMenu.Mission1Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission2Button" >
+
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission1Button" >
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.75,0},{0.25,0},{0.95,0}}" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission1Button_clicked"/>
+        </Window>
+
+        <!-- Misson 2************************************* -->
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission2Text" >
             <Property Name="Text" Value="Fight in our Back" />
             <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.18,0},{0.65,0},{0.23,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.6,0},{0.55,0},{0.65,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission2Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission3Button" >
+
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission2Button" >
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.7,0},{0.5,0},{0.85,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission2Button_clicked"/>
+        </Window>
+
+        <!-- Misson 3************************************* -->
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission3Text" >
             <Property Name="Text" Value="Pirate Attack" />
             <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.26,0},{0.65,0},{0.31,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.6,0},{0.75,0},{0.8,0},{0.8,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission3Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission4Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission3Button" >
+
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.685,0},{0.605,0},{0.75,0},{0.71,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission3Button_clicked"/>
+        </Window>
+
+        <!-- Misson 4************************************* -->
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission4Text" >
             <Property Name="Text" Value="Trip to Area 51" />
             <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.34,0},{0.65,0},{0.39,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.575,0},{0.5,0},{0.775,0},{0.55,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission4Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission5Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission4Button" >
+
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.78,0},{0.48,0},{0.87,0},{0.59,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission4Button_clicked"/>
+        </Window>
+
+        <!-- Misson 5************************************* -->
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission5Text" >
             <Property Name="Text" Value="Area 51 under Fire" />
             <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.42,0},{0.65,0},{0.47,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.625,0},{0.4,0},{0.825,0},{0.45,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission5Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission6Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission5Button" >
+
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.725,0},{0.27,0},{0.775,0},{0.37,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission5Button_clicked"/>
+        </Window>
+
+        <!-- Misson 6************************************* -->
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission6Text" >
             <Property Name="Text" Value="Escape the Bastards" />
             <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.50,0},{0.65,0},{0.55,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.525,0},{0.1,0},{0.725,0},{0.15,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission6Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission7Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission6Button" >
+
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.6,0},{0.17,0},{0.65,0},{0.27,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission6Button_clicked"/>
+        </Window>
+
+        <!-- Misson 7************************************* -->
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission7Text" >
             <Property Name="Text" Value="Expedition to Sector 5C" />
             <Property Name="Visible" Value="False"/>
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission7Button_clicked"/>
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.025,0},{0.6,0},{0.075,0}}" />
+        </Window>
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission7Button" >
+
+            <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.58,0},{0.65,0},{0.63,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.47,0},{0.13,0},{0.525,0},{0.23,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission7Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission8Button" >
+
+        <!-- Misson 8************************************* -->
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission8Text" >
             <Property Name="Text" Value="Shuttle under Attack" />
             <Property Name="Visible" Value="False"/>
+            <Property Name="Disabled" Value="True" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2,0},{0.45,0},{0.25,0}}" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission8Button_clicked"/>
+        </Window>
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission8Button" >
+
+            <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.66,0},{0.65,0},{0.71,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.33,0},{0.1,0},{0.38,0},{0.18,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission8Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission9Button" >
+
+        <!-- Misson 9************************************* -->
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission9Text" >
             <Property Name="Text" Value="Retaliation" />
             <Property Name="Visible" Value="False"/>
+            <Property Name="Disabled" Value="True" />
+            <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.145,0},{0.3,0},{0.195,0}}" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission9Button_clicked"/>
+        </Window>
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission9Button" >
+
+            <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.74,0},{0.65,0},{0.79,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.18,0},{0.07,0},{0.24,0},{0.145,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission9Button_clicked"/>
         </Window>
 
-
+        <!-- Back Button************************************* -->
         <Window Type="MenuWidgets/Button" Name="orxonox/CampaignMenuBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.85,0},{0.65,0},{0.9,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.75,0},{0.9,0},{0.95,0},{0.95,0}}" />
             <Event Name="Clicked" Function="CampaignMenu.CampaignMenuBackButton_clicked"/> 
         </Window>
Index: /code/branches/Presentation_HS16/data/gui/schemes/OrxonoxHUDWidgets.scheme
===================================================================
--- /code/branches/Presentation_HS16/data/gui/schemes/OrxonoxHUDWidgets.scheme	(revision 11340)
+++ /code/branches/Presentation_HS16/data/gui/schemes/OrxonoxHUDWidgets.scheme	(revision 11341)
@@ -40,3 +40,5 @@
     <WindowAlias Alias="HUDWidgets/Tooltip"                  Target="OrxonoxLook/Tooltip" />
     <WindowAlias Alias="HUDWidgets/Tree"                     Target="OrxonoxLook/Tree" />
+
+    <WindowAlias Alias="HUDWidgets/ImageButton"              Target="OrxonoxLook/JuuButton" />
 </GUIScheme>
Index: /code/branches/Presentation_HS16/data/gui/schemes/OrxonoxLook.scheme
===================================================================
--- /code/branches/Presentation_HS16/data/gui/schemes/OrxonoxLook.scheme	(revision 11340)
+++ /code/branches/Presentation_HS16/data/gui/schemes/OrxonoxLook.scheme	(revision 11341)
@@ -50,4 +50,8 @@
     <FalagardMapping WindowType="OrxonoxLook/VUMeter"                     TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="OrxonoxLook/VUMeter" />
     <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="OrxonoxLook/LargeVerticalScrollbar" />
-    <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/LargeVerticalScrollbarThumb" />
+    <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"         LookNFeel="OrxonoxLook/LargeVerticalScrollbarThumb" />
+
+    <!-- Special Button for CampaignMenu -->
+    <FalagardMapping WindowType="OrxonoxLook/JuuButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/JuuButton" />
+
 </GUIScheme>
Index: /code/branches/Presentation_HS16/data/gui/schemes/OrxonoxMenuWidgets.scheme
===================================================================
--- /code/branches/Presentation_HS16/data/gui/schemes/OrxonoxMenuWidgets.scheme	(revision 11340)
+++ /code/branches/Presentation_HS16/data/gui/schemes/OrxonoxMenuWidgets.scheme	(revision 11341)
@@ -40,3 +40,5 @@
     <WindowAlias Alias="MenuWidgets/Tooltip"                  Target="OrxonoxLook/Tooltip" />
     <WindowAlias Alias="MenuWidgets/Tree"                     Target="OrxonoxLook/Tree" />
+
+    <WindowAlias Alias="MenuWidgets/JuuButton"                Target="OrxonoxLook/JuuButton" />
 </GUIScheme>
Index: /code/branches/Presentation_HS16/data/gui/schemes/TaharezGreenHUDWidgets.scheme
===================================================================
--- /code/branches/Presentation_HS16/data/gui/schemes/TaharezGreenHUDWidgets.scheme	(revision 11340)
+++ /code/branches/Presentation_HS16/data/gui/schemes/TaharezGreenHUDWidgets.scheme	(revision 11341)
@@ -40,3 +40,5 @@
     <WindowAlias Alias="HUDWidgets/Tooltip"                  Target="TaharezGreenLook/Tooltip" />
     <WindowAlias Alias="HUDWidgets/Tree"                     Target="TaharezGreenLook/Tree" />
+
+     <WindowAlias Alias="HUDWidgets/ImageButton"              Target="TaharezGreenLook/JuuButton" />
 </GUIScheme>
Index: /code/branches/Presentation_HS16/data/gui/schemes/TaharezGreenLook.scheme
===================================================================
--- /code/branches/Presentation_HS16/data/gui/schemes/TaharezGreenLook.scheme	(revision 11340)
+++ /code/branches/Presentation_HS16/data/gui/schemes/TaharezGreenLook.scheme	(revision 11341)
@@ -51,3 +51,6 @@
     <FalagardMapping WindowType="TaharezGreenLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezGreenLook/LargeVerticalScrollbar" />
     <FalagardMapping WindowType="TaharezGreenLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/LargeVerticalScrollbarThumb" />
+
+    <!-- Special Button for CampaignMenu -->
+    <FalagardMapping WindowType="TaharezGreenLook/JuuButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/JuuButton" />
 </GUIScheme>
Index: /code/branches/Presentation_HS16/data/gui/schemes/TaharezGreenMenuWidgets.scheme
===================================================================
--- /code/branches/Presentation_HS16/data/gui/schemes/TaharezGreenMenuWidgets.scheme	(revision 11340)
+++ /code/branches/Presentation_HS16/data/gui/schemes/TaharezGreenMenuWidgets.scheme	(revision 11341)
@@ -40,3 +40,5 @@
     <WindowAlias Alias="MenuWidgets/Tooltip"                  Target="TaharezGreenLook/Tooltip" />
     <WindowAlias Alias="MenuWidgets/Tree"                     Target="TaharezGreenLook/Tree" />
+
+        <WindowAlias Alias="MenuWidgets/JuuButton"                Target="TaharezGreenLook/JuuButton" />
 </GUIScheme>
Index: /code/branches/Presentation_HS16/data/gui/schemes/TaharezLook.scheme
===================================================================
--- /code/branches/Presentation_HS16/data/gui/schemes/TaharezLook.scheme	(revision 11340)
+++ /code/branches/Presentation_HS16/data/gui/schemes/TaharezLook.scheme	(revision 11341)
@@ -51,3 +51,4 @@
     <FalagardMapping WindowType="TaharezLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/LargeVerticalScrollbar" />
     <FalagardMapping WindowType="TaharezLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/LargeVerticalScrollbarThumb" />
+    
 </GUIScheme>
Index: /code/branches/Presentation_HS16/data/gui/scripts/CampaignMenu.lua
===================================================================
--- /code/branches/Presentation_HS16/data/gui/scripts/CampaignMenu.lua	(revision 11340)
+++ /code/branches/Presentation_HS16/data/gui/scripts/CampaignMenu.lua	(revision 11341)
@@ -9,12 +9,21 @@
 function P.updateButtons()
     P.updateButton(0, winMgr:getWindow("orxonox/Mission1Button"))
+    P.updateButton(0, winMgr:getWindow("orxonox/Mission1Text"))
     P.updateButton(1, winMgr:getWindow("orxonox/Mission2Button"))
+    P.updateButton(1, winMgr:getWindow("orxonox/Mission2Text"))
     P.updateButton(2, winMgr:getWindow("orxonox/Mission3Button"))
+    P.updateButton(2, winMgr:getWindow("orxonox/Mission3Text"))
     P.updateButton(3, winMgr:getWindow("orxonox/Mission4Button"))
+    P.updateButton(3, winMgr:getWindow("orxonox/Mission4Text"))
     P.updateButton(4, winMgr:getWindow("orxonox/Mission5Button"))
+    P.updateButton(4, winMgr:getWindow("orxonox/Mission5Text"))
     P.updateButton(5, winMgr:getWindow("orxonox/Mission6Button"))
+    P.updateButton(5, winMgr:getWindow("orxonox/Mission6Text"))
     P.updateButton(6, winMgr:getWindow("orxonox/Mission7Button"))
+    P.updateButton(6, winMgr:getWindow("orxonox/Mission7Text"))
     P.updateButton(7, winMgr:getWindow("orxonox/Mission8Button"))
+    P.updateButton(7, winMgr:getWindow("orxonox/Mission8Text"))
     P.updateButton(8, winMgr:getWindow("orxonox/Mission9Button"))
+    P.updateButton(8, winMgr:getWindow("orxonox/Mission9Text"))
 
 
@@ -97,5 +106,5 @@
 
 function P.loadLevel(level)
-    orxonox.execute("startGame " .. level:getXMLFilename())
+    orxonox.execute("changeGame " .. level:getXMLFilename())
     hideAllMenuSheets()
 end
@@ -118,5 +127,6 @@
 
 function P.CampaignMenuBackButton_clicked(e)
-    hideMenuSheet(P.name)
+    orxonox.execute("startMainMenu")
+    hideMenuSheet("CampaignMenu")
 end
 
Index: /code/branches/Presentation_HS16/data/gui/scripts/SingleplayerMenu.lua
===================================================================
--- /code/branches/Presentation_HS16/data/gui/scripts/SingleplayerMenu.lua	(revision 11340)
+++ /code/branches/Presentation_HS16/data/gui/scripts/SingleplayerMenu.lua	(revision 11341)
@@ -172,5 +172,7 @@
 
 function P.CampaignButton_clicked(e)
-    showMenuSheet("CampaignMenu", true)
+    -- showMenuSheet("CampaignMenu", true)
+    hideAllMenuSheets()
+    orxonox.execute("startGame StoryModeMap.oxw")
 end
 
Index: /code/branches/Presentation_HS16/data/levels/Invaders.oxw
===================================================================
--- /code/branches/Presentation_HS16/data/levels/Invaders.oxw	(revision 11340)
+++ /code/branches/Presentation_HS16/data/levels/Invaders.oxw	(revision 11341)
@@ -6,74 +6,74 @@
 />
 <?lua
-  include("stats.oxo")
-  include("templates/lodInformation.oxt")
+	include("stats.oxo")
+	include("templates/lodInformation.oxt")
 ?>
 
 <?lua
-  include("templates/spaceshipAssff2.oxt")
-  include("templates/spaceshipPirate.oxt")
-  include("templates/spaceshipInvader.oxt")
-  include("templates/enemyInvader.oxt")
-  include("overlays/InvaderHUD.oxo")
+	include("templates/spaceshipAssff2.oxt")
+	include("templates/spaceshipPirate.oxt")
+	include("templates/spaceshipInvader.oxt")
+	include("templates/enemyInvader.oxt")
+	include("overlays/InvaderHUD.oxo")
 ?>
 
 <Level
-  plugins = invader
-  gametype = Invader
+	plugins = invader
+	gametype = Invader
 >
-  <templates>
-    <Template link=lodtemplate_default />
-  </templates>
-  <?lua include("includes/notifications.oxi") ?>
+	<templates>
+		<Template link=lodtemplate_default />
+	</templates>
+	<?lua include("includes/notifications.oxi") ?>
 
-    <!-- ambientlight = "0.8, 0.8, 0.8"
-    skybox       = "Orxonox/Starbox" -->
-  <Scene
-    ambientlight = "0.8, 0.7, 0.4"
-    skybox     = "Orxonox/skyBoxBasic"
-  >
+		<!-- ambientlight = "0.8, 0.8, 0.8"
+		skybox       = "Orxonox/Starbox" -->
+	<Scene
+		ambientlight = "0.8, 0.7, 0.4"
+		skybox     = "Orxonox/skyBoxBasic"
+	>
 
-  <WorldAmbientSound
-    source="Earth.ogg"
-    looping="true"
-    playOnLoad="true"
-  />
+	<WorldAmbientSound
+		source="Earth.ogg"
+		looping="true"
+		playOnLoad="true"
+	/>
 
-    <!-- <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
-    <Light type=directional position="1100, 11000, -7000" lookat="0, 0, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=InvaderShip pawndesign=spaceshipinvader />
+		<!-- <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
+		<Light type=directional position="1100, 11000, -7000" lookat="0, 0, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+		<SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=InvaderShip pawndesign=spaceshipinvader />
 
-    <DistanceTrigger name="start" position="-200,0,0" target="Pawn" distance=10 stayActive="true" delay=0 />
+		<DistanceTrigger name="start" position="-200,0,0" target="Pawn" distance=10 stayActive="true" delay=0 />
 
 
-    <InvaderCenterPoint name=invadercenter />
-    
-    <?lua
-      for i = 1, 300, 1 do
-        j = math.random()
-    ?>
+		<InvaderCenterPoint name=invadercenter />
+		
+		<?lua
+			for i = 1, 300, 1 do
+				j = math.random()
+		?>
 
-    <MovableEntity
-      position = "<?lua print(math.random()* 40000 + 1000) ?>,-1000,<?lua print(math.random() * 4000 - 2000) ?>"
-      collisionType = dynamic
-      linearDamping = 0.8
-      angularDamping = 0
-      scale = "<?lua print(j * 150)?>"
-      collisiondamage = 0
-      enablecollisiondamage = true
-    >
-      <attached>
-        <Model mass="<?lua print(j * 1000) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="<?lua print(j * 350) ?>" />
-      </collisionShapes>
-    </MovableEntity>
+		<MovableEntity
+			position = "<?lua print(math.random()* 40000 + 1000) ?>,-1000,<?lua print(math.random() * 4000 - 2000) ?>"
+			collisionType = dynamic
+			linearDamping = 0.8
+			angularDamping = 0
+			scale = "<?lua print(j * 150)?>"
+			collisiondamage = 0
+			enablecollisiondamage = true
+		>
+			<attached>
+				<Model mass="<?lua print(j * 1000) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
+			</attached>
+			<collisionShapes>
+				<SphereCollisionShape radius="<?lua print(j * 350) ?>" />
+			</collisionShapes>
+		</MovableEntity>
 
-    <?lua
-      end
-    ?>
-    
-  </Scene>
+		<?lua
+			end
+		?>
+		
+	</Scene>
 </Level>
 
Index: /code/branches/Presentation_HS16/data/levels/StoryModeMap.oxw
===================================================================
--- /code/branches/Presentation_HS16/data/levels/StoryModeMap.oxw	(revision 11341)
+++ /code/branches/Presentation_HS16/data/levels/StoryModeMap.oxw	(revision 11341)
@@ -0,0 +1,94 @@
+
+
+<LevelInfo
+ name = "StoryModeMap"
+ description = "The Campaign Menu Map with all the Campaignmissons in it"
+ tags = "Campaign, Campaignmissons"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("StoryModeHUD.oxo")
+  include("templates/lodInformation.oxt")
+  include("templates/StoryMode.oxt")
+
+  include("templates/lodInformation.oxt")
+?>
+
+<Level
+gametype = StoryMode
+>
+
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.2, 0.2, 0.2"
+    skybox       = "Orxonox/Starbox"
+  >
+
+
+<StaticEntity position="0,0,0" direction="0,0,0" >
+  <attached>
+
+    <Model position="600,370,0" mesh="planets/moon.mesh" scale=100 />
+    <Billboard colour="1,1,0.05" position="600,370,-80"  material="Flares/lensflare" scale=4.5 />
+  
+    <Model position="100,350,-250" mesh="planets/moon.mesh" scale=100  />
+    <Billboard colour="1,1,0.05" position="100,350,-330"  material="Flares/lensflare" scale=4.5 />
+
+    <Model position="-600,250,-500" mesh="planets/moon.mesh" scale=100 />
+    <Billboard colour="1,1,0.05" position="-600,250,-580"  material="Flares/lensflare" scale=5 />
+
+    <Model position="-1000,50,-750" mesh="planets/moon.mesh" scale=100 />
+    <Billboard colour="1,1,0.05" position="-1000,50,-830"  material="Flares/lensflare" scale=5 />
+
+    <Model position="-900,-400,-1000" mesh="planets/moon.mesh" scale=100 />
+    <Billboard colour="1,1,0.05" position="-900,-400,-1080"  material="Flares/lensflare" scale=5 />
+
+    <Model position="-500,-700,-1250" mesh="planets/moon.mesh" scale=100 />
+    <Billboard colour="1,1,0.05" position="-500,-700,-1330"  material="Flares/lensflare" scale=5 />
+
+    <Model position="0,-900,-1500" mesh="planets/moon.mesh" scale=100 />
+    <Billboard colour="1,1,0.05" position="0,-900,-1580" material="Flares/lensflare" scale=5 />
+
+    <Model position="700,-1100,-1750" mesh="planets/moon.mesh" scale=100 />
+    <Billboard colour="1,1,0.05" position="700,-1100,-1830"  material="Flares/lensflare" scale=5 />
+
+    <Model position="1500,-1300,-2000" mesh="planets/moon.mesh" scale=100 />
+    <Billboard colour="1,1,0.05" position="1500,-1300,-2080"  material="Flares/lensflare" scale=5 />
+
+  </attached>
+</StaticEntity>
+
+
+
+
+
+
+
+
+<Template name=spaceshipassff>
+  <ControllableEntity
+   camerapositiontemplate = spaceshipassffcameras
+
+   
+  >
+
+  </ControllableEntity>
+
+
+</Template>
+
+
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+
+    <SpawnPoint position="000.000, 000.000, 1000.000" orientation="0, 0, 0, -1" pawndesign=StoryMode />
+    
+  </Scene>
+</Level>
+
Index: /code/branches/Presentation_HS16/data/levels/emptyLevel.oxw
===================================================================
--- /code/branches/Presentation_HS16/data/levels/emptyLevel.oxw	(revision 11340)
+++ /code/branches/Presentation_HS16/data/levels/emptyLevel.oxw	(revision 11341)
@@ -28,4 +28,5 @@
 
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    
     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
     
Index: /code/branches/Presentation_HS16/data/levels/templates/StoryMode.oxt
===================================================================
--- /code/branches/Presentation_HS16/data/levels/templates/StoryMode.oxt	(revision 11341)
+++ /code/branches/Presentation_HS16/data/levels/templates/StoryMode.oxt	(revision 11341)
@@ -0,0 +1,21 @@
+<Template name=StoryMode>
+  <SpaceShip
+   hudtemplate            = StoryModeMap
+   camerapositiontemplate = spaceshipghostcameras
+   
+  >
+   
+
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipghostcameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,20,80" drag=true mouselook=true />
+      <CameraPosition position="0,40,160" drag=true mouselook=true />
+      <CameraPosition position="0,50,200" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
Index: /code/branches/Presentation_HS16/data/overlays/StoryModeHUD.oxo
===================================================================
--- /code/branches/Presentation_HS16/data/overlays/StoryModeHUD.oxo	(revision 11341)
+++ /code/branches/Presentation_HS16/data/overlays/StoryModeHUD.oxo	(revision 11341)
@@ -0,0 +1,14 @@
+
+<Template name="StoryModeMap">
+  <OverlayGroup name = "spaceshiphud" scale = "1, 1">
+    <Map />
+
+
+     <GUIOverlay
+      name = "CampaignMenu"
+      guiname = "CampaignMenu"
+      visible = "true"
+    />
+
+  </OverlayGroup>
+</Template>
Index: /code/branches/Presentation_HS16/src/orxonox/gametypes/CMakeLists.txt
===================================================================
--- /code/branches/Presentation_HS16/src/orxonox/gametypes/CMakeLists.txt	(revision 11340)
+++ /code/branches/Presentation_HS16/src/orxonox/gametypes/CMakeLists.txt	(revision 11341)
@@ -11,3 +11,4 @@
   TeamGametype.cc
   Mission.cc
+  StoryMode.cc
 )
Index: /code/branches/Presentation_HS16/src/orxonox/gametypes/StoryMode.cc
===================================================================
--- /code/branches/Presentation_HS16/src/orxonox/gametypes/StoryMode.cc	(revision 11341)
+++ /code/branches/Presentation_HS16/src/orxonox/gametypes/StoryMode.cc	(revision 11341)
@@ -0,0 +1,100 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Marvin Haeberle & Julian Huwyler
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#include "StoryMode.h"
+
+#include "items/Engine.h"
+#include "controllers/ArtificialController.h"
+
+#include "core/CoreIncludes.h"
+#include "core/command/ConsoleCommandIncludes.h"
+#include "infos/PlayerInfo.h"
+#include "network/Host.h"
+#include "worldentities/pawns/Pawn.h"
+#include "LevelManager.h"
+
+namespace orxonox
+{
+
+    SetConsoleCommand("StoryMode", "exit", &StoryMode::exit);
+    RegisterUnloadableClass(StoryMode);
+    
+    StoryMode::StoryMode(Context* context) : Gametype(context)
+    {
+        RegisterObject(StoryMode);
+
+        this->gtinfo_ = new GametypeInfo(context);
+        this->bAutoStart_ = true;
+        this->bForceSpawn_ = true;
+    }
+
+    
+  /* 
+    void StoryMode::start()
+    {
+        Gametype::start();
+
+        this->gtinfo_->sendAnnounceMessage("Marvin isch Chef");
+    }
+*/
+    void StoryMode::exit()
+    {
+        orxout() << "s funktioniert"<< endl;
+        for (StoryMode* mission : ObjectList<StoryMode>())
+        { //TODO: make sure that only the desired mission is ended !! This is a dirty HACK, that would end ALL missions!
+            mission->end();
+        }
+        //Gametype::end();
+    }
+/*
+    void Mission::setTeams()
+    { //Set pawn-colours
+        for (Pawn* pawn : ObjectList<Pawn>())
+        {
+            if (!pawn)
+                continue;
+            this->setDefaultObjectColour(pawn);
+        }
+    }
+    void Mission::endMission(bool accomplished)
+    {
+        for (Mission* mission : ObjectList<Mission>())
+        { //TODO: make sure that only the desired mission is ended !! This is a dirty HACK, that would end ALL missions!
+            mission->setMissionAccomplished(accomplished);
+            mission->end();
+        }
+    }
+
+    void Mission::setLivesWrapper(unsigned int amount)
+    {
+        for (Mission* mission : ObjectList<Mission>())
+        { //TODO: make sure that only the desired mission is ended !! This is a dirty HACK, that would affect ALL missions!
+            mission->setLives(amount);
+        }
+    }*/
+}
Index: /code/branches/Presentation_HS16/src/orxonox/gametypes/StoryMode.h
===================================================================
--- /code/branches/Presentation_HS16/src/orxonox/gametypes/StoryMode.h	(revision 11341)
+++ /code/branches/Presentation_HS16/src/orxonox/gametypes/StoryMode.h	(revision 11341)
@@ -0,0 +1,49 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Julian Huwyler & Marvin Haeberle
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _Mission_H__
+#define _Mission_H__
+
+#include "OrxonoxPrereqs.h"
+#include "Gametype.h"
+
+namespace orxonox
+{
+    class _OrxonoxExport StoryMode : public Gametype
+    {
+        public:
+            StoryMode(Context* context);
+            virtual ~StoryMode() {}
+            static void exit();
+
+            
+    };
+}
+
+#endif /* _Mission_H__ */
+
